### Method

# Ide Buffer get_read_only

#### Declaration

    gboolean
    ide_buffer_get_read_only (
      IdeBuffer* self
    )

#### Description

This function returns `TRUE` if the underlying file has been discovered to be read-only. This may be used by the interface to display information to the user about saving the file.

Available since: | 3.32

Gets property | `Ide.Buffer:read-only`

#### Return value

Returns: | `gboolean`
| `TRUE` if the underlying file is read-only.